Get business nodes
This endpoint allows to query the nodes that are part of the organizational structure of a business.
GET /api/v3/businesses/{businessId}/nodes
If the data included in the request is correct, the response will contain the list of nodes for the business.
Response example
[
{
"name": "ROOT NODE",
"orquestId": 35388
},
{
"name": "STORE-1",
"ancestors": [
35388,
35390,
35413
],
"id": "0001",
"orquestId": 35391
},
{
"name": "STORE-2",
"ancestors": [
35388,
35823
],
"orquestId": 35824
}
]
Details
-
name: the name of the node or service.
-
ancestors: a list of internal identifiers for the ancestor nodes in the organizational hierarchy.
-
id: the external identifier of the node or service.
-
orquestId: the internal identifier of the node or service in Orquest.
As shown in the example, the request will return the information as defined in the business’s organizational structure.
Considerations
The root node does not have ancestor nodes.
If a node or service does not have an external identifier configured in Orquest, the response will not include this data.
If the business has no nodes, or the user has none visible, the request will return an empty array [].
Error codes
This endpoint does not return any error codes of its own beyond those described in common errors.